Package org.springframework.security.web.server.authentication

# Interface ServerMaximumSessionsExceededHandler

All Known Implementing Classes:
  `InvalidateLeastUsedServerMaximumSessionsExceededHandler`, `PreventLoginServerMaximumSessionsExceededHandler`

public interface ServerMaximumSessionsExceededHandler
Strategy for handling the scenario when the maximum number of sessions for a user has been reached.

Since:
  6.3

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`handle(MaximumSessionsContext context)`
Handles the scenario when the maximum number of sessions for a user has been reached.

## Method Details

### handle

reactor.core.publisher.Mono<Void> handle(MaximumSessionsContext context)
Handles the scenario when the maximum number of sessions for a user has been reached.

Parameters:
  `context` - the context with information about the sessions and the user
Returns:
  an empty `Mono` that completes when the handling is done